Repozytorium Web Developera

IE i kompatybilność

Internet Explorer

Hacki dla IE7 i starszych

        <!--[if lt IE 8]>
        hack, hack
        <![endif]-->
        
Możliwe jest również serwowanie treści tylko przeglądarkom innym niż IE.
        <!--[if !IE]>< -->
        <p>tego IE nie zobaczy</p>
        <!-- ><![endif]-->
        

HTML5 dla IE8--

        <!--[if lt IE 9]>
        <script src="html5shiv.js"></script>
        <![endif]-->
        

Style tylko dla IE8--

        <!--[if lt IE 9]>
        <style type="text/css"> @import "ie8.css"; </style>
        <![endif]-->
        

Testowanie IE8--

        <meta http-equiv="x-ua-compatible" content="IE-8" />